<?php

/* DCMS Special
 * Дата последнего редактирования 15.01.2016
 * Модифицировал densnet
 */

only_reg();

$set['title'] = lang('Новости') . ' - ' . lang('Комментарии');

require_once H . 'sys/inc/thead.php';

if (!isset($_GET['new_komm']) && !is_numeric($_GET['new_komm'])) {
    header("Location:?");
    exit;
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id` = '" . intval($_GET['new_komm']) . "' LIMIT 1", $db), 0) == 0) {
    header("Location: ?" . SID);
    exit;
}
$post = mysql_fetch_array(mysql_query("SELECT * FROM `news_komm` WHERE `id`='" . intval($_GET['new_komm']) . "'"));
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`='$post[id_user]'"));
$news = mysql_fetch_array(mysql_query("SELECT * FROM `news` WHERE `id`='$post[id_news]'"));

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `news` WHERE `id` = '$post[id_news]' LIMIT 1", $db), 0) == 0) {
    header("Location: ?" . SID);
    exit;
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1", $db), 0) == 0) {
    header("Location: ?news=$news[id]" . SID);
    exit;
}
if ($news['close'] == 1) {
    header("Location: ?news=$news[id]" . SID);
    exit;
}

if (isset($_POST['msg']) && isset($user)) {
    $msg = $_POST['msg'];
    $mat = antimat($msg);

    if ($mat) {
        $err[] = lang("В тексте сообщения обнаружен мат") . ": $mat";
    }

    if (utf8_strlen($msg) > 10024) {
        $err = lang('Сообщение слишком длинное');
    } elseif (utf8_strlen($msg) < 2) {
        $err = lang('Короткое сообщение');
    } elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '$post[id_news]' AND `id_user` = '$user[id]' AND `msg` = '$msg' LIMIT 1"), 0) != 0) {
        $err = lang('Ваше сообщение повторяет предыдущее');
    } elseif (!isset($err)) {
        mysql_query("INSERT INTO `news_komm` (`id_user`, `time`, `msg`, `id_news`, `otvet`, `id_otvet`) values('$user[id]', '$time', '" . mysql_real_escape_string($msg) . "', '$news[id]', '$ank[id]', '$post[id]')");
        mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] + 3) . "', `activity` = '" . ($user['activity'] + 2) . "' WHERE `id` = '$user[id]' LIMIT 1");

        $_SESSION['message'] = lang('Сообщение успешно добавлено');

        #Отправляем в ответы друга уведомление
        $q = mysql_query("SELECT * FROM `friends` WHERE `user` = '$user[id]' AND `lenta_news` = '1' AND `i` = '1'");
        while ($f = mysql_fetch_array($q)) {
            $a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[friends]' LIMIT 1"));

            $not_msg = "$SexKomm новость [url=" . DIR_NEWS . "?news=$news[id]&p=$pageEnd]" . htmlspecialchars($news['title']) . "[/url]";
            ########################################7.2.1
            mysql_query("INSERT INTO `notifications` (`id_user`, `id_kont`, `id_img`, `msg`, `time`) values('$user[id]', '$a[id]', '4', '$not_msg', '$time')");
        }

        if ($user['id'] != $ank['id']) {
            $msgrat = "$SexOtv " . lang('на Ваше сообщение в') . " [url=/modules/news/?news=$news[id]]" . lang('этой') . "[/url] " . lang('новости') . " ";
            mysql_query("INSERT INTO `notification` (`id_user`, `id_kont`, `id_img`, `msg`, `time`) values('$user[id]', '$ank[id]', '4', '$msgrat', '$time')");
        }
        ###################################################
        header("Location:?news=$news[id]");
        exit;
    }
}

err();

#Навигация
echo "<div class='card-header'>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/news/'>" . lang('Новости') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/news/?news=$news[id]'>" . cutStr($news['title'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/news/?news=$news[id]'>" . cutStr($post['msg'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Ответ');
echo "</div>";

if (isset($user)) {
    echo "<div class='list-group-item'>";
    echo "$ank[nick]:<br />" . htmlspecialchars($post['msg']);
    echo "</div>";

    echo "<form class='list-group-item' name='message' method='POST' action='?new_komm=$post[id]'>";
    echo auto_bb("message", "msg");
    $doc->Textarea('msg', 'Ответ на сообщение', 10024);
    echo "<br />";
    $doc->Button('btn btn-success btn-sm', 'ok', 'pencil', 'Ответить');

    echo "</form>";
}

require_once H . 'sys/inc/tfoot.php';
